Package com.xebialabs.xlrelease.serialization.json.jackson

# Class DomainIdsDeserializer

java.lang.Object
com.fasterxml.jackson.databind.JsonDeserializer<List<String>>
com.xebialabs.xlrelease.serialization.json.jackson.DomainIdsDeserializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.deser.NullValueProvider`, `DomainIdSerialization`

public class DomainIdsDeserializer extends com.fasterxml.jackson.databind.JsonDeserializer<List<String>> implements DomainIdSerialization

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

  `com.fasterxml.jackson.databind.JsonDeserializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainIdsDeserializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `deserialize(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext ctxt)`

  ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

  `deserialize, deserializeWithType, deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.xlrelease.serialization.json.jackson.DomainIdSerialization

  `toInternalId, toViewId`

- ## Constructor Details

  - ### DomainIdsDeserializer

    public DomainIdsDeserializer()

- ## Method Details

  - ### deserialize

    public List<String> deserialize(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext ctxt) throws IOException
    Specified by:
      `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<List<String>>`
    Throws:
      `IOException`